Subject: Re: [PATCH] sound: aoa: printk replacement

From: Sudip Mukherjee <[email-masked]>
Date: Wed, 10 Sep 2014 20:02:04 +0530

On Wed, Sep 10, 2014 at 03:57:04PM +0200, Johannes Berg wrote:
> On Wed, 2014-09-10 at 19:21 +0530, Sudip Mukherjee wrote:
> > as pr_* macros are more preffered over printk, so printk replaced
> > with corresponding pr_* macros.
> 
> Are you simply running checkpatch on every file and decided to do
> something about it? :)
> 
i am running checkpatch on the patch generated. if i am doing checkpatch
cleanups then that i do it only in the staging.
only exception : printk .. :)

> I'll let Takashi decide whether to take this or not as I no longer care
> about this code, but IMHO this changes is completely pointless since you
> don't also clean up the code to have a common prefix with #define pr_fmt
> and then clean up the callers etc.
> 
i mentioned in the comment that in a future patch we can have pr_fmt,
it was not done in this patch since the changes for this patch is
generated by a script and not manually.
if Takashi accepts this then the next patch will have pr_fmt.

thanks
sudip

> There's a reason pr_* is preferred, but random code changes like this
> aren't it, I think.
> 
> johannes
>